Version |  Update Time  | Status | Author |  Description
---|---|---|---|---
v2021-10-19 10:25:57|2021-10-19 10:25:57|auto|@finegirl|Created by smart-doc



## 流程定义部署接口类
### 流程部署列表查询
**URL:** http://localhost:17011/api/definition/deploy/list

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 流程部署列表查询

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
page|object|分页对象|false|-
└─per|int32|No comments found.|false|-
└─size|int32|No comments found.|false|-
└─total|int32|No comments found.|false|-
query|object|列表查询对象|false|-
└─platformSn|string|业务平台标识（唯一）|false|-
└─userCode|string|业务平台用户id|false|-
└─deployId|string|流程部署ID|false|-
└─processInstanceId|string|流程实例ID|false|-
└─candidateUsers|array|候选人|false|-
└─candidateGroups|array|审批组|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/definition/deploy/list --data '{
  "page": {
    "per": 426,
    "size": 10,
    "total": 762
  },
  "query": {
    "platformSn": "6rl3rw",
    "userCode": "96922",
    "deployId": "114",
    "processInstanceId": "114",
    "candidateUsers": [
      "wg3c7j"
    ],
    "candidateGroups": [
      "qd26z3"
    ]
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-
└─page|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─per|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─size|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─total|int32|No comments found.|-
└─list|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|string|流程定义id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─name|string|流程名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─key|string|流程key|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─category|string|流程分类|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─version|int32|版本|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deploymentId|string|流程部署id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─suspensionState|int32|流程定义状态: 1:激活 , 2:中止|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deploymentTime|string|部署时间|-

**Response-example:**
```
{
  "code": 435,
  "msg": "ocetbu",
  "data": {
    "page": {
      "per": 788,
      "size": 10,
      "total": 403
    },
    "list": [
      {
        "id": "114",
        "name": "嘉熙.董",
        "key": "35zip0",
        "category": "xo2hmt",
        "version": 128,
        "deploymentId": "114",
        "suspensionState": 0,
        "deploymentTime": "2021-10-19 10:26:01"
      }
    ]
  }
}
```

### 激活或挂起流程定义(已经部署)
**URL:** http://localhost:17011/api/definition/deploy/updateState

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 激活或挂起流程定义(已经部署)

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
platformSn|string|业务系统标识|false|-
deployId|string|流程部署ID|false|-
state|int32|流程部署状态（1：激活，2：挂起）|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/definition/deploy/updateState --data '{
  "platformSn": "weow6s",
  "deployId": "114",
  "state": 0
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 246,
  "msg": "tv4mcm",
  "data": {
    "waring": "You may have used non-display generics."
  }
}
```

### 根据流程定义 ID 获取流程图 返回BASE64图片
**URL:** http://localhost:17011/api/definition/deploy/readImage

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 根据流程定义 ID 获取流程图 返回BASE64图片

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
platformSn|string|业务系统标识|false|-
deployId|string|流程部署ID|false|-
state|int32|流程部署状态（1：激活，2：挂起）|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/definition/deploy/readImage --data '{
  "platformSn": "u5ukyr",
  "deployId": "114",
  "state": 0
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 507,
  "msg": "m91759",
  "data": "cuw1sw"
}
```

### 根据流程定义 ID 获取xml
**URL:** http://localhost:17011/api/definition/deploy/readXml

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 根据流程定义 ID 获取xml

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
platformSn|string|业务系统标识|false|-
deployId|string|流程部署ID|false|-
state|int32|流程部署状态（1：激活，2：挂起）|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/definition/deploy/readXml --data '{
  "platformSn": "cnyiz8",
  "deployId": "114",
  "state": 0
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 138,
  "msg": "ikad02",
  "data": "7b96pn"
}
```

## 工作流流程对外服务接口
### 启动流程
**URL:** http://localhost:17011/api/flow/process/start

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 启动流程

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
processDefinitionKey|string|No comments found.|false|-
businessKey|string|No comments found.|false|-
formName|string|No comments found.|false|-
variables|map|No comments found.|false|-
└─any object|object|any object.|false|-
userCode|string|No comments found.|false|-
platformSn|string|No comments found.|false|-
creator|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/process/start --data '{
  "processDefinitionKey": "rskl56",
  "businessKey": "k9jwkm",
  "formName": "嘉熙.董",
  "variables": {
    "mapKey": {}
  },
  "userCode": "96922",
  "platformSn": "ad9jr6",
  "creator": "ecqdno"
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 934,
  "msg": "0qz5o1",
  "data": "d8eyyz"
}
```

### 获取el表达式
**URL:** http://localhost:17011/api/flow/process/getAllProcessInstanceEl

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 获取el表达式

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
processDefinitionKey|string|No comments found.|false|-
businessKey|string|No comments found.|false|-
formName|string|No comments found.|false|-
variables|map|No comments found.|false|-
└─any object|object|any object.|false|-
userCode|string|No comments found.|false|-
platformSn|string|No comments found.|false|-
creator|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/process/getAllProcessInstanceEl --data '{
  "processDefinitionKey": "5bios8",
  "businessKey": "jc9tuz",
  "formName": "嘉熙.董",
  "variables": {
    "mapKey": {}
  },
  "userCode": "96922",
  "platformSn": "kuq979",
  "creator": "a6xc4h"
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|array|响应数据|-
└─taskId|string|No comments found.|-
└─userId|string|No comments found.|-
└─comment|string|No comments found.|-
└─instanceId|string|No comments found.|-
└─targetKey|string|No comments found.|-
└─name|string|No comments found.|-
└─values|map|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─any object|object|any object.|-
└─assignee|string|No comments found.|-
└─candidateUsers|array|No comments found.|-
└─candidateGroups|array|No comments found.|-
└─tenantId|string|No comments found.|-
└─el|string|No comments found.|-
└─multiple|int32|No comments found.|-

**Response-example:**
```
{
  "code": 176,
  "msg": "1o5db3",
  "data": [
    {
      "taskId": "114",
      "userId": "114",
      "comment": "4rt33s",
      "instanceId": "114",
      "targetKey": "7jukxo",
      "name": "嘉熙.董",
      "values": {
        "mapKey": {}
      },
      "assignee": "v4ccbm",
      "candidateUsers": [
        {
          "object": "any object"
        }
      ],
      "candidateGroups": [
        {
          "object": "any object"
        }
      ],
      "tenantId": "114",
      "el": "cyyfkj",
      "multiple": 756
    }
  ]
}
```

### 激活或挂起流程实例
**URL:** http://localhost:17011/api/flow/process/updateState

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 激活或挂起流程实例

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
userCode|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
suspensionState|int32|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/process/updateState --data '{
  "userCode": "96922",
  "processInstanceId": "114",
  "suspensionState": 0
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 212,
  "msg": "ofjg0m",
  "data": {
    "waring": "You may have used non-display generics."
  }
}
```

### 终止流程
**URL:** http://localhost:17011/api/flow/process/stop

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 终止流程

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
userCode|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/process/stop --data '{
  "userCode": "96922",
  "processInstanceId": "114"
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 658,
  "msg": "a4rnz4",
  "data": "o14ho9"
}
```

### 删除流程
**URL:** http://localhost:17011/api/flow/process/delete

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 删除流程

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
userCode|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
deleteReason|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/process/delete --data '{
  "userCode": "96922",
  "processInstanceId": "114",
  "deleteReason": "ujtuwd"
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 746,
  "msg": "7gh7f9",
  "data": {
    "waring": "You may have used non-display generics."
  }
}
```

### 获取流程执行过程
**URL:** http://localhost:17011/api/flow/process/getFlowViewer

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 获取流程执行过程

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
userCode|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/process/getFlowViewer --data '{
  "userCode": "96922",
  "processInstanceId": "114"
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|array|响应数据|-
└─key|string|No comments found.|-
└─completed|boolean|No comments found.|-

**Response-example:**
```
{
  "code": 265,
  "msg": "lk2ptd",
  "data": [
    {
      "key": "52lf2q",
      "completed": true
    }
  ]
}
```

### 根据流程实例ID 获取当前流程运行情况 返回BASE64图片
**URL:** http://localhost:17011/api/flow/process/getImage

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 根据流程实例ID 获取当前流程运行情况 返回BASE64图片

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
userCode|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/process/getImage --data '{
  "userCode": "96922",
  "processInstanceId": "114"
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 186,
  "msg": "yrajl6",
  "data": "d9ougd"
}
```

## 工作流任务对外服务接口
### 我发起的流程
**URL:** http://localhost:17011/api/flow/task/myProcess

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 我发起的流程

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
page|object|分页对象|false|-
└─per|int32|No comments found.|false|-
└─size|int32|No comments found.|false|-
└─total|int32|No comments found.|false|-
query|object|列表查询对象|false|-
└─platformSn|string|业务平台标识（唯一）|false|-
└─userCode|string|业务平台用户id|false|-
└─deployId|string|流程部署ID|false|-
└─processInstanceId|string|流程实例ID|false|-
└─candidateUsers|array|候选人|false|-
└─candidateGroups|array|审批组|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/myProcess --data '{
  "page": {
    "per": 540,
    "size": 10,
    "total": 478
  },
  "query": {
    "platformSn": "sie06g",
    "userCode": "96922",
    "deployId": "114",
    "processInstanceId": "114",
    "candidateUsers": [
      "7d7lgt"
    ],
    "candidateGroups": [
      "r60vh8"
    ]
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-
└─page|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─per|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─size|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─total|int32|No comments found.|-
└─list|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─subTask|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentTaskId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─formName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─targetKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskDefKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assigneeId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assigneeName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startUserId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startUserName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─category|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procVars|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskLocalVars|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deployId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefVersion|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procInsId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hisProcInsId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─duration|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comment|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comment|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidate|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─finishTime|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─values|map|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─any object|object|any object.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─attachmentList|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─userCode|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assignee|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidateUsers|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidateGroups|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─platformSn|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─el|string|No comments found.|-

**Response-example:**
```
{
  "code": 814,
  "msg": "pgb1j5",
  "data": {
    "page": {
      "per": 408,
      "size": 10,
      "total": 742
    },
    "list": [
      {
        "taskId": "114",
        "taskName": "嘉熙.董",
        "subTask": 433,
        "parentTaskId": "114",
        "businessKey": "h0i8zi",
        "formName": "嘉熙.董",
        "targetKey": "c7ihns",
        "taskDefKey": "4r56et",
        "assigneeId": "114",
        "assigneeName": "嘉熙.董",
        "startUserId": "114",
        "startUserName": "嘉熙.董",
        "category": "utcrzs",
        "procVars": {
          "taskId": "114",
          "taskName": "嘉熙.董",
          "subTask": 247,
          "parentTaskId": "114",
          "businessKey": "ehda4s",
          "formName": "嘉熙.董",
          "targetKey": "90zy2s",
          "taskDefKey": "90zapw",
          "assigneeId": "114",
          "assigneeName": "嘉熙.董",
          "startUserId": "114",
          "startUserName": "嘉熙.董",
          "category": "m99mpi",
          "procVars": {
            "waring": "You may have used non-display generics."
          },
          "taskLocalVars": {
            "waring": "You may have used non-display generics."
          },
          "deployId": "114",
          "procDefId": "114",
          "procDefKey": "ot4gqx",
          "procDefName": "嘉熙.董",
          "procDefVersion": 702,
          "procInsId": "114",
          "hisProcInsId": "114",
          "duration": "tsks4k",
          "comment": {
            "type": "6c7gay",
            "comment": "zfuqi8"
          },
          "candidate": "2021-10-19",
          "createTime": "2021-10-19 10:26:02",
          "finishTime": "2021-10-19 10:26:02",
          "values": {
            "mapKey": {}
          },
          "attachmentList": [
            {
              "object": "any object"
            }
          ],
          "userCode": "96922",
          "assignee": "2b1ga5",
          "candidateUsers": [
            {
              "object": "any object"
            }
          ],
          "candidateGroups": [
            {
              "object": "any object"
            }
          ],
          "platformSn": "8g7agv",
          "el": "svjiyg"
        },
        "taskLocalVars": {
          "taskId": "114",
          "taskName": "嘉熙.董",
          "subTask": 565,
          "parentTaskId": "114",
          "businessKey": "65ghoe",
          "formName": "嘉熙.董",
          "targetKey": "sscnfr",
          "taskDefKey": "jx3wqa",
          "assigneeId": "114",
          "assigneeName": "嘉熙.董",
          "startUserId": "114",
          "startUserName": "嘉熙.董",
          "category": "vkkmkj",
          "procVars": {
            "waring": "You may have used non-display generics."
          },
          "taskLocalVars": {
            "waring": "You may have used non-display generics."
          },
          "deployId": "114",
          "procDefId": "114",
          "procDefKey": "5sfp2v",
          "procDefName": "嘉熙.董",
          "procDefVersion": 575,
          "procInsId": "114",
          "hisProcInsId": "114",
          "duration": "baayrm",
          "comment": {
            "type": "azs06r",
            "comment": "9hd1yc"
          },
          "candidate": "2021-10-19",
          "createTime": "2021-10-19 10:26:02",
          "finishTime": "2021-10-19 10:26:02",
          "values": {
            "mapKey": {}
          },
          "attachmentList": [
            {
              "object": "any object"
            }
          ],
          "userCode": "96922",
          "assignee": "xp1tzm",
          "candidateUsers": [
            {
              "object": "any object"
            }
          ],
          "candidateGroups": [
            {
              "object": "any object"
            }
          ],
          "platformSn": "w0wf08",
          "el": "7m874k"
        },
        "deployId": "114",
        "procDefId": "114",
        "procDefKey": "o6l15b",
        "procDefName": "嘉熙.董",
        "procDefVersion": 82,
        "procInsId": "114",
        "hisProcInsId": "114",
        "duration": "c8jmj3",
        "comment": {
          "type": "rjponq",
          "comment": "go0onb"
        },
        "candidate": "2021-10-19",
        "createTime": "2021-10-19 10:26:02",
        "finishTime": "2021-10-19 10:26:02",
        "values": {
          "mapKey": {}
        },
        "attachmentList": [
          {
            "$ref": ".."
          }
        ],
        "userCode": "96922",
        "assignee": "3yky7o",
        "candidateUsers": [
          {
            "$ref": ".."
          }
        ],
        "candidateGroups": [
          {
            "$ref": ".."
          }
        ],
        "platformSn": "c6ipwd",
        "el": "58gf9w"
      }
    ]
  }
}
```

### 获取待办列表获取的列表需要和业务系统数据合并
**URL:** http://localhost:17011/api/flow/task/todoList

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 获取待办列表
获取的列表需要和业务系统数据合并

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
page|object|分页对象|false|-
└─per|int32|No comments found.|false|-
└─size|int32|No comments found.|false|-
└─total|int32|No comments found.|false|-
query|object|列表查询对象|false|-
└─platformSn|string|业务平台标识（唯一）|false|-
└─userCode|string|业务平台用户id|false|-
└─deployId|string|流程部署ID|false|-
└─processInstanceId|string|流程实例ID|false|-
└─candidateUsers|array|候选人|false|-
└─candidateGroups|array|审批组|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/todoList --data '{
  "page": {
    "per": 981,
    "size": 10,
    "total": 17
  },
  "query": {
    "platformSn": "i5obgl",
    "userCode": "96922",
    "deployId": "114",
    "processInstanceId": "114",
    "candidateUsers": [
      "7k61mk"
    ],
    "candidateGroups": [
      "orzecb"
    ]
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-
└─page|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─per|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─size|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─total|int32|No comments found.|-
└─list|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─subTask|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentTaskId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─formName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─targetKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskDefKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assigneeId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assigneeName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startUserId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startUserName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─category|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procVars|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskLocalVars|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deployId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefVersion|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procInsId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hisProcInsId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─duration|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comment|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comment|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidate|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─finishTime|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─values|map|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─any object|object|any object.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─attachmentList|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─userCode|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assignee|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidateUsers|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidateGroups|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─platformSn|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─el|string|No comments found.|-

**Response-example:**
```
{
  "code": 699,
  "msg": "ranvef",
  "data": {
    "page": {
      "per": 134,
      "size": 10,
      "total": 453
    },
    "list": [
      {
        "taskId": "114",
        "taskName": "嘉熙.董",
        "subTask": 358,
        "parentTaskId": "114",
        "businessKey": "k9rynf",
        "formName": "嘉熙.董",
        "targetKey": "ctacr8",
        "taskDefKey": "qlp1on",
        "assigneeId": "114",
        "assigneeName": "嘉熙.董",
        "startUserId": "114",
        "startUserName": "嘉熙.董",
        "category": "txyx6e",
        "procVars": {
          "taskId": "114",
          "taskName": "嘉熙.董",
          "subTask": 538,
          "parentTaskId": "114",
          "businessKey": "w4a51d",
          "formName": "嘉熙.董",
          "targetKey": "mqk1fn",
          "taskDefKey": "6xea8i",
          "assigneeId": "114",
          "assigneeName": "嘉熙.董",
          "startUserId": "114",
          "startUserName": "嘉熙.董",
          "category": "m1nt12",
          "procVars": {
            "waring": "You may have used non-display generics."
          },
          "taskLocalVars": {
            "waring": "You may have used non-display generics."
          },
          "deployId": "114",
          "procDefId": "114",
          "procDefKey": "0d49ep",
          "procDefName": "嘉熙.董",
          "procDefVersion": 743,
          "procInsId": "114",
          "hisProcInsId": "114",
          "duration": "foe42x",
          "comment": {
            "type": "6qyiuk",
            "comment": "id4809"
          },
          "candidate": "2021-10-19",
          "createTime": "2021-10-19 10:26:02",
          "finishTime": "2021-10-19 10:26:02",
          "values": {
            "mapKey": {}
          },
          "attachmentList": [
            {
              "object": "any object"
            }
          ],
          "userCode": "96922",
          "assignee": "sf4f4c",
          "candidateUsers": [
            {
              "object": "any object"
            }
          ],
          "candidateGroups": [
            {
              "object": "any object"
            }
          ],
          "platformSn": "fgk2ht",
          "el": "4zcn75"
        },
        "taskLocalVars": {
          "taskId": "114",
          "taskName": "嘉熙.董",
          "subTask": 994,
          "parentTaskId": "114",
          "businessKey": "lvilo2",
          "formName": "嘉熙.董",
          "targetKey": "8c2z8m",
          "taskDefKey": "3bzug9",
          "assigneeId": "114",
          "assigneeName": "嘉熙.董",
          "startUserId": "114",
          "startUserName": "嘉熙.董",
          "category": "fm7tze",
          "procVars": {
            "waring": "You may have used non-display generics."
          },
          "taskLocalVars": {
            "waring": "You may have used non-display generics."
          },
          "deployId": "114",
          "procDefId": "114",
          "procDefKey": "05qhxk",
          "procDefName": "嘉熙.董",
          "procDefVersion": 681,
          "procInsId": "114",
          "hisProcInsId": "114",
          "duration": "tw9rl7",
          "comment": {
            "type": "odxzcm",
            "comment": "njpx1z"
          },
          "candidate": "2021-10-19",
          "createTime": "2021-10-19 10:26:02",
          "finishTime": "2021-10-19 10:26:02",
          "values": {
            "mapKey": {}
          },
          "attachmentList": [
            {
              "object": "any object"
            }
          ],
          "userCode": "96922",
          "assignee": "d0wzul",
          "candidateUsers": [
            {
              "object": "any object"
            }
          ],
          "candidateGroups": [
            {
              "object": "any object"
            }
          ],
          "platformSn": "c569xr",
          "el": "syv8b6"
        },
        "deployId": "114",
        "procDefId": "114",
        "procDefKey": "tnx31h",
        "procDefName": "嘉熙.董",
        "procDefVersion": 100,
        "procInsId": "114",
        "hisProcInsId": "114",
        "duration": "m4cfd8",
        "comment": {
          "type": "gmckq4",
          "comment": "ir5ib9"
        },
        "candidate": "2021-10-19",
        "createTime": "2021-10-19 10:26:02",
        "finishTime": "2021-10-19 10:26:02",
        "values": {
          "mapKey": {}
        },
        "attachmentList": [
          {
            "$ref": ".."
          }
        ],
        "userCode": "96922",
        "assignee": "4p5n7d",
        "candidateUsers": [
          {
            "$ref": ".."
          }
        ],
        "candidateGroups": [
          {
            "$ref": ".."
          }
        ],
        "platformSn": "9auhzs",
        "el": "w5xvio"
      }
    ]
  }
}
```

### 获取已办任务获取的列表需要和业务系统数据合并
**URL:** http://localhost:17011/api/flow/task/finishedList

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 获取已办任务
获取的列表需要和业务系统数据合并

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
page|object|分页对象|false|-
└─per|int32|No comments found.|false|-
└─size|int32|No comments found.|false|-
└─total|int32|No comments found.|false|-
query|object|列表查询对象|false|-
└─platformSn|string|业务平台标识（唯一）|false|-
└─userCode|string|业务平台用户id|false|-
└─deployId|string|流程部署ID|false|-
└─processInstanceId|string|流程实例ID|false|-
└─candidateUsers|array|候选人|false|-
└─candidateGroups|array|审批组|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/finishedList --data '{
  "page": {
    "per": 533,
    "size": 10,
    "total": 483
  },
  "query": {
    "platformSn": "ykmi25",
    "userCode": "96922",
    "deployId": "114",
    "processInstanceId": "114",
    "candidateUsers": [
      "x7evkz"
    ],
    "candidateGroups": [
      "pqtv7m"
    ]
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-
└─page|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─per|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─size|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─total|int32|No comments found.|-
└─list|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─subTask|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentTaskId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─formName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─targetKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskDefKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assigneeId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assigneeName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startUserId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startUserName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─category|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procVars|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskLocalVars|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deployId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefVersion|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procInsId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hisProcInsId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─duration|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comment|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comment|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidate|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─finishTime|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─values|map|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─any object|object|any object.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─attachmentList|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─userCode|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assignee|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidateUsers|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidateGroups|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─platformSn|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─el|string|No comments found.|-

**Response-example:**
```
{
  "code": 874,
  "msg": "y9gomr",
  "data": {
    "page": {
      "per": 200,
      "size": 10,
      "total": 772
    },
    "list": [
      {
        "taskId": "114",
        "taskName": "嘉熙.董",
        "subTask": 280,
        "parentTaskId": "114",
        "businessKey": "yqn27e",
        "formName": "嘉熙.董",
        "targetKey": "gkdtk0",
        "taskDefKey": "7zth26",
        "assigneeId": "114",
        "assigneeName": "嘉熙.董",
        "startUserId": "114",
        "startUserName": "嘉熙.董",
        "category": "n8ehum",
        "procVars": {
          "taskId": "114",
          "taskName": "嘉熙.董",
          "subTask": 58,
          "parentTaskId": "114",
          "businessKey": "ybn9ci",
          "formName": "嘉熙.董",
          "targetKey": "2xxgv2",
          "taskDefKey": "08mwjf",
          "assigneeId": "114",
          "assigneeName": "嘉熙.董",
          "startUserId": "114",
          "startUserName": "嘉熙.董",
          "category": "xi8l1k",
          "procVars": {
            "waring": "You may have used non-display generics."
          },
          "taskLocalVars": {
            "waring": "You may have used non-display generics."
          },
          "deployId": "114",
          "procDefId": "114",
          "procDefKey": "l72uo8",
          "procDefName": "嘉熙.董",
          "procDefVersion": 457,
          "procInsId": "114",
          "hisProcInsId": "114",
          "duration": "80w6ze",
          "comment": {
            "type": "32vg3z",
            "comment": "7b1fju"
          },
          "candidate": "2021-10-19",
          "createTime": "2021-10-19 10:26:02",
          "finishTime": "2021-10-19 10:26:02",
          "values": {
            "mapKey": {}
          },
          "attachmentList": [
            {
              "object": "any object"
            }
          ],
          "userCode": "96922",
          "assignee": "zm5f8l",
          "candidateUsers": [
            {
              "object": "any object"
            }
          ],
          "candidateGroups": [
            {
              "object": "any object"
            }
          ],
          "platformSn": "wx0x5c",
          "el": "qant33"
        },
        "taskLocalVars": {
          "taskId": "114",
          "taskName": "嘉熙.董",
          "subTask": 624,
          "parentTaskId": "114",
          "businessKey": "nxok3y",
          "formName": "嘉熙.董",
          "targetKey": "6xng1q",
          "taskDefKey": "5vgm3y",
          "assigneeId": "114",
          "assigneeName": "嘉熙.董",
          "startUserId": "114",
          "startUserName": "嘉熙.董",
          "category": "yo0ih3",
          "procVars": {
            "waring": "You may have used non-display generics."
          },
          "taskLocalVars": {
            "waring": "You may have used non-display generics."
          },
          "deployId": "114",
          "procDefId": "114",
          "procDefKey": "4sr8sd",
          "procDefName": "嘉熙.董",
          "procDefVersion": 816,
          "procInsId": "114",
          "hisProcInsId": "114",
          "duration": "ers5pi",
          "comment": {
            "type": "1xxnqu",
            "comment": "imja5d"
          },
          "candidate": "2021-10-19",
          "createTime": "2021-10-19 10:26:02",
          "finishTime": "2021-10-19 10:26:02",
          "values": {
            "mapKey": {}
          },
          "attachmentList": [
            {
              "object": "any object"
            }
          ],
          "userCode": "96922",
          "assignee": "fgio1f",
          "candidateUsers": [
            {
              "object": "any object"
            }
          ],
          "candidateGroups": [
            {
              "object": "any object"
            }
          ],
          "platformSn": "aipyjz",
          "el": "tsq88c"
        },
        "deployId": "114",
        "procDefId": "114",
        "procDefKey": "thjnro",
        "procDefName": "嘉熙.董",
        "procDefVersion": 759,
        "procInsId": "114",
        "hisProcInsId": "114",
        "duration": "rpwgw3",
        "comment": {
          "type": "kj7wb6",
          "comment": "m0mn60"
        },
        "candidate": "2021-10-19",
        "createTime": "2021-10-19 10:26:02",
        "finishTime": "2021-10-19 10:26:02",
        "values": {
          "mapKey": {}
        },
        "attachmentList": [
          {
            "$ref": ".."
          }
        ],
        "userCode": "96922",
        "assignee": "hccnj5",
        "candidateUsers": [
          {
            "$ref": ".."
          }
        ],
        "candidateGroups": [
          {
            "$ref": ".."
          }
        ],
        "platformSn": "f3o046",
        "el": "lyo5yh"
      }
    ]
  }
}
```

### 流程历史流转记录
**URL:** http://localhost:17011/api/flow/task/flowRecord

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 流程历史流转记录

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
page|object|分页对象|false|-
└─per|int32|No comments found.|false|-
└─size|int32|No comments found.|false|-
└─total|int32|No comments found.|false|-
query|object|列表查询对象|false|-
└─platformSn|string|业务平台标识（唯一）|false|-
└─userCode|string|业务平台用户id|false|-
└─deployId|string|流程部署ID|false|-
└─processInstanceId|string|流程实例ID|false|-
└─candidateUsers|array|候选人|false|-
└─candidateGroups|array|审批组|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/flowRecord --data '{
  "page": {
    "per": 940,
    "size": 10,
    "total": 932
  },
  "query": {
    "platformSn": "uyu5h5",
    "userCode": "96922",
    "deployId": "114",
    "processInstanceId": "114",
    "candidateUsers": [
      "ahjhsr"
    ],
    "candidateGroups": [
      "1114y0"
    ]
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-
└─page|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─per|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─size|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─total|int32|No comments found.|-
└─list|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─subTask|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─parentTaskId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─businessKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─formName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─targetKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskDefKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assigneeId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assigneeName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startUserId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─startUserName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─category|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procVars|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─taskLocalVars|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─deployId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefKey|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefName|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procDefVersion|int32|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─procInsId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─hisProcInsId|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─duration|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comment|object|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─type|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─comment|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidate|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─finishTime|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─values|map|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─any object|object|any object.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─attachmentList|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─userCode|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─assignee|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidateUsers|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─candidateGroups|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─platformSn|string|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─el|string|No comments found.|-

**Response-example:**
```
{
  "code": 188,
  "msg": "k9nzmd",
  "data": {
    "page": {
      "per": 586,
      "size": 10,
      "total": 219
    },
    "list": [
      {
        "taskId": "114",
        "taskName": "嘉熙.董",
        "subTask": 672,
        "parentTaskId": "114",
        "businessKey": "azuz8d",
        "formName": "嘉熙.董",
        "targetKey": "u2e9hs",
        "taskDefKey": "xjge4p",
        "assigneeId": "114",
        "assigneeName": "嘉熙.董",
        "startUserId": "114",
        "startUserName": "嘉熙.董",
        "category": "qf2cw1",
        "procVars": {
          "taskId": "114",
          "taskName": "嘉熙.董",
          "subTask": 577,
          "parentTaskId": "114",
          "businessKey": "mx1qag",
          "formName": "嘉熙.董",
          "targetKey": "tbuszx",
          "taskDefKey": "vjb4wi",
          "assigneeId": "114",
          "assigneeName": "嘉熙.董",
          "startUserId": "114",
          "startUserName": "嘉熙.董",
          "category": "7nrpjx",
          "procVars": {
            "waring": "You may have used non-display generics."
          },
          "taskLocalVars": {
            "waring": "You may have used non-display generics."
          },
          "deployId": "114",
          "procDefId": "114",
          "procDefKey": "8m050x",
          "procDefName": "嘉熙.董",
          "procDefVersion": 397,
          "procInsId": "114",
          "hisProcInsId": "114",
          "duration": "frcmdu",
          "comment": {
            "type": "gnkzkd",
            "comment": "1vhf4i"
          },
          "candidate": "2021-10-19",
          "createTime": "2021-10-19 10:26:02",
          "finishTime": "2021-10-19 10:26:02",
          "values": {
            "mapKey": {}
          },
          "attachmentList": [
            {
              "object": "any object"
            }
          ],
          "userCode": "96922",
          "assignee": "ruoo4g",
          "candidateUsers": [
            {
              "object": "any object"
            }
          ],
          "candidateGroups": [
            {
              "object": "any object"
            }
          ],
          "platformSn": "v77at0",
          "el": "x663bx"
        },
        "taskLocalVars": {
          "taskId": "114",
          "taskName": "嘉熙.董",
          "subTask": 848,
          "parentTaskId": "114",
          "businessKey": "w7g9i6",
          "formName": "嘉熙.董",
          "targetKey": "rqxbjg",
          "taskDefKey": "3j2wzt",
          "assigneeId": "114",
          "assigneeName": "嘉熙.董",
          "startUserId": "114",
          "startUserName": "嘉熙.董",
          "category": "1fysh6",
          "procVars": {
            "waring": "You may have used non-display generics."
          },
          "taskLocalVars": {
            "waring": "You may have used non-display generics."
          },
          "deployId": "114",
          "procDefId": "114",
          "procDefKey": "lfb4px",
          "procDefName": "嘉熙.董",
          "procDefVersion": 8,
          "procInsId": "114",
          "hisProcInsId": "114",
          "duration": "bay3qq",
          "comment": {
            "type": "7knxa7",
            "comment": "oaul8u"
          },
          "candidate": "2021-10-19",
          "createTime": "2021-10-19 10:26:02",
          "finishTime": "2021-10-19 10:26:02",
          "values": {
            "mapKey": {}
          },
          "attachmentList": [
            {
              "object": "any object"
            }
          ],
          "userCode": "96922",
          "assignee": "vfyhhd",
          "candidateUsers": [
            {
              "object": "any object"
            }
          ],
          "candidateGroups": [
            {
              "object": "any object"
            }
          ],
          "platformSn": "febekb",
          "el": "jp6a5t"
        },
        "deployId": "114",
        "procDefId": "114",
        "procDefKey": "u8x4hk",
        "procDefName": "嘉熙.董",
        "procDefVersion": 744,
        "procInsId": "114",
        "hisProcInsId": "114",
        "duration": "yald50",
        "comment": {
          "type": "rbxqgq",
          "comment": "a8wnik"
        },
        "candidate": "2021-10-19",
        "createTime": "2021-10-19 10:26:02",
        "finishTime": "2021-10-19 10:26:02",
        "values": {
          "mapKey": {}
        },
        "attachmentList": [
          {
            "$ref": ".."
          }
        ],
        "userCode": "96922",
        "assignee": "nmufrb",
        "candidateUsers": [
          {
            "$ref": ".."
          }
        ],
        "candidateGroups": [
          {
            "$ref": ".."
          }
        ],
        "platformSn": "9n8e4i",
        "el": "1e0lye"
      }
    ]
  }
}
```

### 获取流程变量
**URL:** http://localhost:17011/api/flow/task/processVariables

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 获取流程变量

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
platformSn|string|No comments found.|false|-
variables|map|No comments found.|false|-
└─any object|object|any object.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/processVariables --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "platformSn": "ktg3qf",
  "variables": {
    "mapKey": {}
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-
└─any object|object|any object.|-

**Response-example:**
```
{
  "code": 478,
  "msg": "6nd22e",
  "data": {
    "mapKey": {
      "waring": "You may use java.util.Object for Map value; smart-doc can't be handle."
    }
  }
}
```

### 设置流程变量
**URL:** http://localhost:17011/api/flow/task/setProcessVariables

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 设置流程变量

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
platformSn|string|No comments found.|false|-
variables|map|No comments found.|false|-
└─any object|object|any object.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/setProcessVariables --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "platformSn": "c3nyvs",
  "variables": {
    "mapKey": {}
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-
└─any object|object|any object.|-

**Response-example:**
```
{
  "code": 74,
  "msg": "fkm3au",
  "data": {
    "mapKey": {
      "waring": "You may use java.util.Object for Map value; smart-doc can't be handle."
    }
  }
}
```

### 撤回流程
**URL:** http://localhost:17011/api/flow/task/revokeProcess

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 撤回流程

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/revokeProcess --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ]
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 453,
  "msg": "ivezun",
  "data": {
    "waring": "You may have used non-display generics."
  }
}
```

### 取消申请
**URL:** http://localhost:17011/api/flow/task/stopProcess

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 取消申请

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
platformSn|string|No comments found.|false|-
variables|map|No comments found.|false|-
└─any object|object|any object.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/stopProcess --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "platformSn": "w3rwb0",
  "variables": {
    "mapKey": {}
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 403,
  "msg": "501l2n",
  "data": {
    "waring": "You may have used non-display generics."
  }
}
```

### 审批任务
**URL:** http://localhost:17011/api/flow/task/complete

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 审批任务

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
formTitle|string|No comments found.|false|-
variables|map|No comments found.|false|-
└─any object|object|any object.|false|-
attachments|array|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/complete --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "formTitle": "biwcpn",
  "variables": {
    "mapKey": {}
  },
  "attachments": [
    {
      "object": "any object"
    }
  ]
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 803,
  "msg": "2s6nbl",
  "data": "lgz5pi"
}
```

### 驳回任务
**URL:** http://localhost:17011/api/flow/task/reject

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 驳回任务

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/reject --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ]
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 915,
  "msg": "55ncfu",
  "data": {
    "waring": "You may have used non-display generics."
  }
}
```

### 退回任务
**URL:** http://localhost:17011/api/flow/task/return

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 退回任务

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/return --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ]
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 130,
  "msg": "adwigt",
  "data": {
    "waring": "You may have used non-display generics."
  }
}
```

### 删除任务
**URL:** http://localhost:17011/api/flow/task/delete

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 删除任务

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/delete --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ]
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 246,
  "msg": "pus59a",
  "data": "b7gf66"
}
```

### 委派任务
**URL:** http://localhost:17011/api/flow/task/delegate

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 委派任务

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
delegateUserCode|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/delegate --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "delegateUserCode": "96922"
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 555,
  "msg": "ff37ao",
  "data": "hzwknx"
}
```

### 转办任务
**URL:** http://localhost:17011/api/flow/task/assign

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 转办任务

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
turnToUserId|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/assign --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "turnToUserId": "114"
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 275,
  "msg": "a5h3qr",
  "data": {
    "waring": "You may have used non-display generics."
  }
}
```

### 加签任务
**URL:** http://localhost:17011/api/flow/task/addSign

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 加签任务

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
addSignUserList|array|No comments found.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/addSign --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "addSignUserList": [
    {
      "object": "any object"
    }
  ]
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-

**Response-example:**
```
{
  "code": 864,
  "msg": "xy5q44",
  "data": "nxvsmn"
}
```

### 获取所有可回退的节点
**URL:** http://localhost:17011/api/flow/task/findReturnTaskList

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 获取所有可回退的节点

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
platformSn|string|No comments found.|false|-
variables|map|No comments found.|false|-
└─any object|object|any object.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/findReturnTaskList --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "platformSn": "gut9dl",
  "variables": {
    "mapKey": {}
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|array|响应数据|-
└─id|string|No comments found.|-
└─name|string|No comments found.|-
└─tenantId|string|No comments found.|-

**Response-example:**
```
{
  "code": 510,
  "msg": "7253w1",
  "data": [
    {
      "id": "114",
      "name": "嘉熙.董",
      "tenantId": "114"
    }
  ]
}
```

### 获取下一节点
**URL:** http://localhost:17011/api/flow/task/nextFlowNode

**Type:** POST


**Content-Type:** application/json; charset=utf-8

**Description:** 获取下一节点

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
taskId|string|No comments found.|false|-
processInstanceId|string|No comments found.|false|-
activityId|string|No comments found.|false|-
activityName|string|No comments found.|false|-
processStatusEnum|enum|No comments found.|false|-
userCode|string|No comments found.|false|-
message|string|No comments found.|false|-
commentTypeEnum|enum|No comments found.|false|-
candidateUsers|array|No comments found.|false|-
candidateGroups|array|No comments found.|false|-
platformSn|string|No comments found.|false|-
variables|map|No comments found.|false|-
└─any object|object|any object.|false|-

**Request-example:**
```
curl -X POST -H 'Content-Type: application/json; charset=utf-8' -i http://localhost:17011/api/flow/task/nextFlowNode --data '{
  "taskId": "114",
  "processInstanceId": "114",
  "activityId": "114",
  "activityName": "嘉熙.董",
  "processStatusEnum": "SPZ",
  "userCode": "96922",
  "message": "success",
  "commentTypeEnum": "SP",
  "candidateUsers": [
    {
      "object": "any object"
    }
  ],
  "candidateGroups": [
    {
      "object": "any object"
    }
  ],
  "platformSn": "oi1jdu",
  "variables": {
    "mapKey": {}
  }
}'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|结果编码|-
msg|string|结果描述|-
data|object|响应数据|-
└─type|string|No comments found.|-
└─dateType|string|No comments found.|-
└─vars|string|No comments found.|-
└─name|string|No comments found.|-
└─assignee|string|No comments found.|-
└─candidateUsers|array|No comments found.|-
└─candidateGroups|array|No comments found.|-

**Response-example:**
```
{
  "code": 841,
  "msg": "2apof4",
  "data": {
    "type": "4zl38l",
    "dateType": "6awcep",
    "vars": "bf2b4k",
    "name": "嘉熙.董",
    "assignee": "ihnror",
    "candidateUsers": [
      {
        "object": "any object"
      }
    ],
    "candidateGroups": [
      {
        "object": "any object"
      }
    ]
  }
}
```

## 错误码列表
Error code |Description
---|---
200|ok
400|Bad Request
401|Unauthorized
403|Forbidden
404|Not Found
415|Unsupported Media Type
500|Internal Server Error
502|Bad Gateway
503|Service Unavailable

