package com.mortals.xhx.flowable.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 任务查询参数
 *
 * @author: zxfei
 * @date: 2021/8/26 17:23
 */
@Data
@ApiModel(value = "CommonTaskQuery", description = "任务参数")
public class CommonTaskQuery implements Serializable {
    /**
     * 操作人code
     */
    @ApiModelProperty(value = "操作人code", required = true)
    private String userCode;

    /**
     * 业务平台标识
     */
    private String platformSn;
    /**
     * 业务系统标识
     */
    @ApiModelProperty(
            value = "系统标识列表",
            example = "flow itp"
    )
    private List<String> platformSns;

    /**
     * 开始时间
     */
    @ApiModelProperty(
            value = "开始时间",
            example = "2020-08-05 08:12:41"
    )
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(
            value = "结束时间",
            example = "2020-08-05 08:12:41"
    )
    private String endTime;
    /**
     * 业务系统的id
     */
    @ApiModelProperty(
            value = "业务主键",
            example = "1234656"
    )
    private String businessKey;

    /**
     * 待办人
     */
    @ApiModelProperty(
            value = "待办人",
            example = "00004737"
    )
    private String assignee;


    /**
     * 每页记录数
     */
    private int per;
    /**
     * 当前请求页数
     */
    private int size;

    /**
     * 候选人
     */
    private List<String> candidateUsers;
    /**
     * 审批组
     */
    private List<String> candidateGroups;

}
